net.sf.jasperreports.engine.base

## Class JRBaseSortField

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseSortField

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRSortField
  Direct Known Subclasses:
    JRDesignSortField

      public class JRBaseSortField
      extends java.lang.Object
      implements JRSortField, java.io.Serializable, JRChangeEventsSupport

  Version:
    $Id: JRBaseSortField.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `name`
    `protected SortOrderEnum` | `orderValue`
    `static java.lang.String` | `PROPERTY_ORDER`
    `protected SortFieldTypeEnum` | `type`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseSortField()`
    `protected` | `JRBaseSortField(JRSortField sortField, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `java.lang.String` | `getName()` Gets the sort field name.
    `SortOrderEnum` | `getOrderValue()` Gets the sort order for the field.
    `SortFieldTypeEnum` | `getType()` Gets the type of the sort field.
    `void` | `setOrder(SortOrderEnum orderValue)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_ORDER

          public static final java.lang.String PROPERTY_ORDER

      See Also:
        Constant Field Values

    - #### name

          protected java.lang.String name

    - #### orderValue

          protected SortOrderEnum orderValue

    - #### type

          protected SortFieldTypeEnum type

  - ### Constructor Detail

    - #### JRBaseSortField

          protected JRBaseSortField()

    - #### JRBaseSortField

          protected JRBaseSortField(JRSortField sortField,
                         JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `JRSortField`
      Gets the sort field name.
      Specified by:
        `getName` in interface `JRSortField`

    - #### getOrderValue

          public SortOrderEnum getOrderValue()

      Description copied from interface: `JRSortField`
      Gets the sort order for the field.
      Specified by:
        `getOrderValue` in interface `JRSortField`

    - #### setOrder

          public void setOrder(SortOrderEnum orderValue)

    - #### getType

          public SortFieldTypeEnum getType()

      Description copied from interface: `JRSortField`
      Gets the type of the sort field.
      Specified by:
        `getType` in interface `JRSortField`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com